use anyhow::Result;

use crate::command::CommandRequest;

pub mod e1;

pub trait DeviceBackend {
    fn build_query(&self) -> CommandRequest;
    fn process_message(&self, msg: &[u8]) -> Result<Vec<u8>>;
    fn set_attribute(&self, attribute: &str, value: &str) -> ();
}
